Loading...
Searching...
No Matches
domain_indirect_base_rep< M >

## Detailed Description

template<class M>
class rheolef::domain_indirect_base_rep< M >

Definition at line 71 of file domain_indirect.h.

Inheritance diagram for domain_indirect_base_rep< M >:

## Public Types

typedef disarray< geo_element_indirect, M > | base
typedef geo_element_indirect::size_type | size_type
typedef geo_element_indirect::orientation_type | orientation_type
typedef base::iterator | iterator_ioige
typedef base::const_iterator | const_iterator_ioige
Public Types inherited from disarray< geo_element_indirect, M >
typedef M | memory_type
typedef disarray_rep< geo_element_indirect, sequential, std::allocator< geo_element_indirect > > | rep
typedef rep::base::size_type | size_type
typedef rep::base::iterator | iterator
typedef rep::base::const_iterator | const_iterator

## Public Member Functions

| domain_indirect_base_rep ()
void | resize (size_type n)
| domain_indirect_base_rep (const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
void | build_from_list (const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
void | build_union (const domain_indirect_base_rep< M > &a, const domain_indirect_base_rep< M > &b)
size_type | size () const
size_type | dis_size () const
const_iterator_ioige | ioige_begin () const
const_iterator_ioige | ioige_end () const
iterator_ioige | ioige_begin ()
iterator_ioige | ioige_end ()
const geo_element_indirect & | oige (size_type ioige) const
std::string | name () const
size_type | map_dimension () const
void | set_name (std::string name)
void | set_map_dimension (size_type map_dim)
bool | is_broken () const
void | set_broken (bool b)

## Protected Attributes

std::string | _name
size_type | _map_dim
bool | _is_broken

## Member Typedef Documentation

## base

template<class M >

typedef disarray<geo_element_indirect,M> base

Definition at line 76 of file domain_indirect.h.

## size_type

template<class M >

typedef geo_element_indirect::size_type size_type

Definition at line 77 of file domain_indirect.h.

## orientation_type

template<class M >

typedef geo_element_indirect::orientation_type orientation_type

Definition at line 78 of file domain_indirect.h.

## iterator_ioige

template<class M >

typedef base::iterator iterator_ioige

Definition at line 79 of file domain_indirect.h.

## const_iterator_ioige

template<class M >

typedef base::const_iterator const_iterator_ioige

Definition at line 80 of file domain_indirect.h.

## Constructor & Destructor Documentation

## domain_indirect_base_rep() [1/2]

template<class M >

domain_indirect_base_rep | ( |  | ) |

Definition at line 126 of file domain_indirect.h.

## domain_indirect_base_rep() [2/2]

template<class M >

domain_indirect_base_rep | ( | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 135 of file domain_indirect.h.

## Member Function Documentation

## resize()

template<class M >

void resize | ( | size_type | n | ) |

Definition at line 85 of file domain_indirect.h.

## build_from_list()

template<class M >

void build_from_list | ( | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 32 of file domain_indirect_seq.cc.

## build_union()

template<class M >

void build_union | ( | const domain_indirect_base_rep< M > & | a,
|  | const domain_indirect_base_rep< M > & | b
| ) |  |

Definition at line 55 of file domain_indirect_seq.cc.

## size()

template<class M >

size_type size | ( |  | ) | const

Definition at line 102 of file domain_indirect.h.

## dis_size()

template<class M >

size_type dis_size | ( |  | ) | const

Definition at line 103 of file domain_indirect.h.

## ioige_begin() [1/2]

template<class M >

const_iterator_ioige ioige_begin | ( |  | ) | const

Definition at line 105 of file domain_indirect.h.

## ioige_end() [1/2]

template<class M >

const_iterator_ioige ioige_end | ( |  | ) | const

Definition at line 106 of file domain_indirect.h.

## ioige_begin() [2/2]

template<class M >

iterator_ioige ioige_begin | ( |  | ) |

Definition at line 107 of file domain_indirect.h.

## ioige_end() [2/2]

template<class M >

iterator_ioige ioige_end | ( |  | ) |

Definition at line 108 of file domain_indirect.h.

## oige()

template<class M >

const geo_element_indirect & oige | ( | size_type | ioige | ) | const

Definition at line 110 of file domain_indirect.h.

## name()

template<class M >

std::string name | ( |  | ) | const

Definition at line 112 of file domain_indirect.h.

## map_dimension()

template<class M >

size_type map_dimension | ( |  | ) | const

Definition at line 113 of file domain_indirect.h.

## set_name()

template<class M >

void set_name | ( | std::string | name | ) |

Definition at line 114 of file domain_indirect.h.

## set_map_dimension()

template<class M >

void set_map_dimension | ( | size_type | map_dim | ) |

Definition at line 115 of file domain_indirect.h.

## is_broken()

template<class M >

bool is_broken | ( |  | ) | const

Definition at line 116 of file domain_indirect.h.

## set_broken()

template<class M >

void set_broken | ( | bool | b | ) |

Definition at line 117 of file domain_indirect.h.

## Member Data Documentation

## _name

template<class M >

std::string _name

protected

Definition at line 120 of file domain_indirect.h.

## _map_dim

template<class M >

size_type _map_dim

protected

Definition at line 121 of file domain_indirect.h.

## _is_broken

template<class M >

bool _is_broken

protected

Definition at line 122 of file domain_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/domain_indirect.h
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/domain_indirect_seq.cc